#ifndef _VERSION_H_
#define _VERSION_H_

//! Application name.
#define APPLICATION_NAME "Projection Designer (Plugged-in Version)"

//! Application version.
#define APPLICATION_VERSION_MAJOR "1"
#define APPLICATION_VERSION_MINOR "0"
#define APPLICATION_VERSION_MICRO "99"
#define APPLICATION_VERSION_NANO  "plugin"

#ifdef APPLICATION_VERSION_NANO
#  define APPLICATION_VERSION APPLICATION_VERSION_MAJOR "." APPLICATION_VERSION_MINOR "." APPLICATION_VERSION_MICRO "." APPLICATION_VERSION_NANO
#else // APPLICATION_VERSION_NANO
#  define APPLICATION_VERSION APPLICATION_VERSION_MAJOR "." APPLICATION_VERSION_MINOR "." APPLICATION_VERSION_MICRO
#endif // APPLICATION_VERSION_NANO

/** returns true if v1 is less than v2. */
bool version_lt(const QString& v1, const QString& v2);
/** returns true if v1 equal v2. */
bool version_eq(const QString& v1, const QString& v2);
/** returns true if v1 is less than or equal v2. */
bool version_le(const QString& v1, const QString& v2);
/** returns true if v1 is greater than or equal v2. */
bool version_ge(const QString& v1, const QString& v2);
/** returns true if v1 is greater than v2. */
bool version_gt(const QString& v1, const QString& v2);

#endif // _VERSION_H_
